/**
 * @file
 * @module widget-label.js
 * @version 1.0.0
 */

'use strict';

import React    from 'react'
import Widget   from './widget'

export default class Label extends Widget {

  constructor(props) {
    super(props);
  }

  render() {
    return React.DOM.span({
      style: {
        fontSize: this.props.data.labelSize,
        color: this.props.data.labelColor,
        textDecoration: this.props.data.labelDecoration
      }
    }, this.value());
  }
}
